Index: palm/trunk/SOURCE/chemistry_model_mod.f90
===================================================================
--- palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4550)
+++ palm/trunk/SOURCE/chemistry_model_mod.f90	(revision 4559)
@@ -5640,14 +5645,14 @@
          -999., -999., -999., -999., -999., 2000., 1000., -999., 2000., 2000., -999., -999., 2000., -999., -999., &    !< NO
          100.,  100.,  100.,  100.,  100.,   10.,  100.,  100.,  100., 1000.,  100.,  100.,   10.,  100.,  100.,  &    !< NH3
-         -999., -999., -999., -999., -999., 2000., 1000., -999., 2000., 2000., -999., -999., 2000., -999., -999., &    !< CO 
-         -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., &    !< NO3 
+         -999., -999., -999., -999., -999., 2000., 1000., -999., 2000., 2000., -999., -999., 2000., -999., -999., &    !< CO
+         -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., &    !< NO3
          -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., &    !< HNO3
          -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., &    !< N2O5
-         -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999. /),&  !< H2O2   
+         -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999., -999. /),&  !< H2O2
          (/nlu_dep,ncmp/) )
 !
 !-- For                                          o3    so2   no2     no    nh3     co     no3    hno3   n2o5   h2o2
-    REAL(wp), PARAMETER ::  rsoil_wet(ncmp)    = (/2000., 10. , 2000., -999., 10.  , -999., -999., -999., -999., -999./)
-    REAL(wp), PARAMETER ::  rsoil_frozen(ncmp) = (/2000., 500., 2000., -999., 1000., -999., -999., -999., -999., -999./)
+    REAL(wp), PARAMETER ::  rsoil_frozen(ncmp) = (/ 2000., 500., 2000., -999., 1000., -999., -999., -999., -999., -999. /)
+    REAL(wp), PARAMETER ::  rsoil_wet(ncmp)    = (/ 2000., 10. , 2000., -999., 10.  , -999., -999., -999., -999., -999. /)
 !
 !-- Compute in canopy (in crop) resistance:
@@ -5700,8 +5705,7 @@
 
 
- !-------------------------------------------------------------------
- !> rc_rinc: compute in canopy (or in crop) resistance
- !> van Pul and Jacobs, 1993, BLM
- !-------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!> rc_rinc: compute in canopy (or in crop) resistance van Pul and Jacobs, 1993, BLM
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_rinc( lu, sai, ust, rinc )
 
@@ -5715,5 +5719,6 @@
     REAL(wp), INTENT(OUT) ::  rinc           !< in canopy resistance (s/m)
 !
-!-- b = empirical constant for computation of rinc (in canopy resistance) (= 14 m-1 or -999 if not applicable)
+!-- b = empirical constant for computation of rinc (in canopy resistance) (= 14 m-1 or -999 if not
+!--     applicable)
 !-- h = vegetation height (m)                     gra  ara crop con dec wat   urb   oth   des   ice   sav   trf  wai  med semi
     REAL(wp), DIMENSION(nlu_dep), PARAMETER ::  b = (/ -999, 14, 14, 14, 14, -999, -999, -999, -999, -999, -999, 14, -999,  &
@@ -5724,5 +5729,5 @@
 !-- Compute Rinc only for arable land, perm. crops, forest; otherwise Rinc = 0:
     IF ( b(lu) > 0.0_wp )  THEN
-!       !
+!
 !--    Check for u* > 0 (otherwise denominator = 0):
        IF ( ust > 0.0_wp )  THEN
@@ -5732,5 +5737,5 @@
        ENDIF
     ELSE
-       IF ( lu == ilu_grass .OR. lu == ilu_other  )  THEN
+       IF ( lu == ilu_grass  .OR.  lu == ilu_other )  THEN
           rinc = -999.0_wp     !< no deposition path for grass, other, and semi-natural
        ELSE
@@ -5742,13 +5747,13 @@
 
 
- !-------------------------------------------------------------------
- !> rc_rctot: compute total canopy (or surface) resistance Rc
- !-------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!> rc_rctot: compute total canopy (or surface) resistance Rc
+!--------------------------------------------------------------------------------------------------!
  SUBROUTINE rc_rctot( gstom, gsoil_eff, gw, gc_tot, rc_tot )
 
 !
 !-- Input/output variables:
+    REAL(wp), INTENT(IN) ::  gsoil_eff     !< effective soil conductance (s/m)
     REAL(wp), INTENT(IN) ::  gstom         !< stomatal conductance (s/m)
-    REAL(wp), INTENT(IN) ::  gsoil_eff     !< effective soil conductance (s/m)
     REAL(wp), INTENT(IN) ::  gw            !< external leaf conductance (s/m)
 
@@ -5769,64 +5774,63 @@
 
 
- !-------------------------------------------------------------------
- !> rc_comp_point_rc_eff: calculate the effective resistance Rc
- !> based on one or more compensation points
- !-------------------------------------------------------------------
- !> NH3rc (see depac v3.6 is based on Avero workshop Marc Sutton. p. 173.
- !> Sutton 1998 AE 473-480)
- !>
- !> Documentation by Ferd Sauter, 2008; see also documentation block in header of depac subroutine.
- !> FS 2009-01-29: variable names made consistent with DEPAC 
- !> FS 2009-03-04: use total compensation point
- !>
- !> C: with total compensation point   ! D: approximation of C
- !>                                    !    with classical approach
- !>  zr --------- Catm                 !  zr --------- Catm    
- !>         |                          !         |       
- !>         Ra                         !         Ra      
- !>         |                          !         |       
- !>         Rb                         !         Rb      
- !>         |                          !         |       
- !>  z0 --------- Cc                   !  z0 --------- Cc
- !>         |                          !         |              
- !>        Rc                          !        Rc_eff          
- !>         |                          !         |              
- !>     --------- Ccomp_tot            !     --------- C=0
- !>
- !>
- !> The effective Rc is defined such that instead of using
- !>
- !>   F = -vd*[Catm - Ccomp_tot]                                    (1)
- !>
- !> we can use the 'normal' flux formula
- !>
- !>   F = -vd'*Catm,                                                (2)
- !>
- !> with vd' = 1/(Ra + Rb + Rc')                                    (3)
- !>
- !> and Rc' the effective Rc (rc_eff).
- !>                                                (Catm - Ccomp_tot)
- !> vd'*Catm = vd*(Catm - Ccomp_tot) <=> vd' = vd* ------------------
- !>                                                      Catm
- !>
- !>                                        (Catm - Ccomp_tot)
- !> 1/(Ra + Rb + Rc') = (1/Ra + Rb + Rc) * ------------------
- !>                                              Catm
- !>
- !>                                          Catm
- !> (Ra + Rb + Rc') = (Ra + Rb + Rc) * ------------------
- !>                                     (Catm - Ccomp_tot)
- !>
- !>                              Catm
- !> Rc' = (Ra + Rb + Rc) * ------------------ - Ra - Rb
- !>                        (Catm - Ccomp_tot)
- !>
- !>                        Catm                           Catm
- !> Rc' = (Ra + Rb) [------------------ - 1 ] + Rc * ------------------
- !>                  (Catm - Ccomp_tot)              (Catm - Ccomp_tot)
- !>
- !> Rc' = [(Ra + Rb)*Ccomp_tot + Rc*Catm ] / (Catm - Ccomp_tot)
- !>
- ! -------------------------------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!> rc_comp_point_rc_eff: calculate the effective resistance Rc
+!> based on one or more compensation points
+!--------------------------------------------------------------------------------------------------!
+!> NH3rc (see depac v3.6 is based on Avero workshop Marc Sutton. p. 173. Sutton 1998 AE 473-480)
+!>
+!> Documentation by Ferd Sauter, 2008; see also documentation block in header of depac subroutine.
+!> FS 2009-01-29: variable names made consistent with DEPAC
+!> FS 2009-03-04: use total compensation point
+!>
+!> C: with total compensation point   ! D: approximation of C
+!>                                    !    with classical approach
+!>  zr --------- Catm                 !  zr --------- Catm
+!>         |                          !         |
+!>         Ra                         !         Ra
+!>         |                          !         |
+!>         Rb                         !         Rb
+!>         |                          !         |
+!>  z0 --------- Cc                   !  z0 --------- Cc
+!>         |                          !         |
+!>        Rc                          !        Rc_eff
+!>         |                          !         |
+!>     --------- Ccomp_tot            !     --------- C=0
+!>
+!>
+!> The effective Rc is defined such that instead of using
+!>
+!>   F = -vd*[Catm - Ccomp_tot]                                    (1)
+!>
+!> we can use the 'normal' flux formula
+!>
+!>   F = -vd'*Catm,                                                (2)
+!>
+!> with vd' = 1/(Ra + Rb + Rc')                                    (3)
+!>
+!> and Rc' the effective Rc (rc_eff).
+!>                                                (Catm - Ccomp_tot)
+!> vd'*Catm = vd*(Catm - Ccomp_tot) <=> vd' = vd* ------------------
+!>                                                      Catm
+!>
+!>                                        (Catm - Ccomp_tot)
+!> 1/(Ra + Rb + Rc') = (1/Ra + Rb + Rc) * ------------------
+!>                                              Catm
+!>
+!>                                          Catm
+!> (Ra + Rb + Rc') = (Ra + Rb + Rc) * ------------------
+!>                                     (Catm - Ccomp_tot)
+!>
+!>                              Catm
+!> Rc' = (Ra + Rb + Rc) * ------------------ - Ra - Rb
+!>                        (Catm - Ccomp_tot)
+!>
+!>                        Catm                           Catm
+!> Rc' = (Ra + Rb) [------------------ - 1 ] + Rc * ------------------
+!>                  (Catm - Ccomp_tot)              (Catm - Ccomp_tot)
+!>
+!> Rc' = [(Ra + Rb)*Ccomp_tot + Rc*Catm ] / (Catm - Ccomp_tot)
+!>
+! -------------------------------------------------------------------------------------------
 ! SUBROUTINE rc_comp_point_rc_eff( ccomp_tot, conc_ijk_ugm3, ra, rb, rc_tot, rc_eff )
 !
@@ -5843,12 +5847,12 @@
 !    !
 !!-- Compute effective resistance:
-!    IF (  ccomp_tot == 0.0_wp )  THEN
+!    IF ( ccomp_tot == 0.0_wp )  THEN
 !       !
-!!--    trace with no compensiation point ( or compensation point equal to zero)
+!!--    Trace with no compensiation point ( or compensation point equal to zero)
 !       rc_eff = rc_tot
 !
-!    ELSE IF ( ccomp_tot > 0.0_wp .AND. ( abs( conc_ijk_ugm3 - ccomp_tot ) < 1.e-8 ) )  THEN
+!    ELSE IF ( ccomp_tot > 0.0_wp  .AND.  ( abs( conc_ijk_ugm3 - ccomp_tot ) < 1.e-8 ) )  THEN
 !       !
-!!--   surface concentration (almost) equal to atmospheric concentration
+!!--   Surface concentration (almost) equal to atmospheric concentration
 !!--    no exchange between surface and atmosphere, infinite RC --> vd=0
 !       rc_eff = 9999999999.0_wp
@@ -5856,5 +5860,5 @@
 !    ELSE IF ( ccomp_tot > 0.0_wp )  THEN
 !       !
-!!--    compensation point available, calculate effective resistance
+!!--    Compensation point available, calculate effective resistance
 !       rc_eff = ( ( ra + rb ) * ccomp_tot + rc_tot * conc_ijk_ugm3 ) / ( conc_ijk_ugm3 - ccomp_tot )
 !
@@ -5866,12 +5870,12 @@
 !
 !    RETURN
-!    
+!
 ! END SUBROUTINE rc_comp_point_rc_eff
 
 
- !-------------------------------------------------------------------
- !> missing: check for data that correspond with a missing deposition path
- !>          this data is represented by -999
- !-------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!> missing: check for data that correspond with a missing deposition path this data is represented
+!>          by -999
+!--------------------------------------------------------------------------------------------------!
  LOGICAL function missing( x )
 
@@ -5879,8 +5883,8 @@
 
 !
-!-- bandwidth for checking (in)equalities of floats
+!-- Bandwidth for checking (in)equalities of floats
     REAL(wp), PARAMETER :: eps = 1.0e-5
 
-    missing = (abs(x + 999.0_wp) <= eps)
+    missing = ( ABS( x + 999.0_wp ) <= eps )
 
  END function missing
@@ -5891,5 +5895,4 @@
 !
 !-- in/out
-
     REAL(wp), INTENT(IN) ::  rhopart                 !< particle density (kg/m3)
     REAL(wp), INTENT(IN) ::  partsize                !< particle size (m)
@@ -5907,60 +5910,57 @@
  END FUNCTION sedimentation_velocity
 
- 
- !------------------------------------------------------------------------
+
+ !-------------------------------------------------------------------------------------------------!
  !> Boundary-layer deposition resistance following Zhang (2001)
- !------------------------------------------------------------------------
- SUBROUTINE drydepo_aero_zhang_vd( vd, rs, vs1, partsize, slipcor, nwet, tsurf, dens1, viscos1, &
-      luc, ftop_lu, ustar )
-
-!
-!-- in/out 
-
+ !-------------------------------------------------------------------------------------------------!
+ SUBROUTINE drydepo_aero_zhang_vd( vd, rs, vs1, partsize, slipcor, nwet, tsurf, dens1, viscos1,    &
+                                   luc, ftop_lu, ustar )
+
+!
+!-- in/out
+    INTEGER(iwp), INTENT(IN) ::  luc         !< DEPAC LU
     INTEGER(iwp), INTENT(IN) ::  nwet        !< 1=rain, 9=snowcover
-    INTEGER(iwp), INTENT(IN) ::  luc         !< DEPAC LU
-
-    REAL(wp), INTENT(IN) ::  vs1             !< sedimentation velocity in lowest layer
+
+    REAL(wp), INTENT(IN) ::  dens1           !< air density (kg/m3) in lowest layer
+    REAL(wp), INTENT(IN) ::  ftop_lu         !< atmospheric resistnace Ra
     REAL(wp), INTENT(IN) ::  partsize        !< particle diameter (m)
     REAL(wp), INTENT(IN) ::  slipcor         !< slip correction factor
     REAL(wp), INTENT(IN) ::  tsurf           !< surface temperature (K)
-    REAL(wp), INTENT(IN) ::  dens1           !< air density (kg/m3) in lowest layer
+    REAL(wp), INTENT(IN) ::  ustar           !< friction velocity u*
     REAL(wp), INTENT(IN) ::  viscos1         !< air viscosity in lowest layer
-    REAL(wp), INTENT(IN) ::  ftop_lu         !< atmospheric resistnace Ra
-    REAL(wp), INTENT(IN) ::  ustar           !< friction velocity u*    
-
+    REAL(wp), INTENT(IN) ::  vs1             !< sedimentation velocity in lowest layer
+
+    REAL(wp), INTENT(OUT) ::  rs             !< sedimentaion resistance (s/m)
     REAL(wp), INTENT(OUT) ::  vd             !< deposition velocity (m/s)
-    REAL(wp), INTENT(OUT) ::  rs             !< sedimentaion resistance (s/m)
-!
-!-- constants 
-
+!
+!-- Constants
     REAL(wp), PARAMETER ::  grav     = 9.80665_wp             !< acceleration of gravity (m/s2)
-
     REAL(wp), PARAMETER ::  epsilon0 = 3.0_wp
     REAL(wp), PARAMETER ::  kb       = 1.38066E-23_wp
     REAL(wp), PARAMETER ::  pi       = 3.141592654_wp      !< pi
 
-    REAL(wp), PARAMETER :: alfa_lu(nlu_dep) = & 
-         (/1.2_wp,  1.2_wp,   1.2_wp,  1.0_wp,  1.0_wp,   100.0_wp, 1.5_wp,  1.2_wp, 50.0_wp, 100.0_wp, &
-               1.2_wp, 1.0_wp, 100.0_wp, 1.2_wp, 50.0_wp/)   
+    REAL(wp), PARAMETER :: alfa_lu(nlu_dep) = &
+         (/ 1.2_wp,  1.2_wp,   1.2_wp,  1.0_wp,  1.0_wp,   100.0_wp, 1.5_wp,  1.2_wp, 50.0_wp, 100.0_wp, &
+              1.2_wp, 1.0_wp, 100.0_wp, 1.2_wp, 50.0_wp /)
     REAL(wp), PARAMETER :: gamma_lu(nlu_dep) = &
-         (/0.54_wp, 0.54_wp,  0.54_wp, 0.56_wp, 0.56_wp,  0.50_wp,  0.56_wp, 0.54_wp, 0.58_wp, 0.50_wp, &
-              0.54_wp, 0.56_wp, 0.50_wp, 0.54_wp, 0.54_wp/)   
-    REAL(wp), PARAMETER ::A_lu(nlu_dep) = &   
-         (/3.0_wp,  3.0_wp,   2.0_wp,  2.0_wp,  7.0_wp, -99.0_wp, 10.0_wp, 3.0_wp, -99.0_wp, -99.0_wp,  &
-              3.0_wp, 7.0_wp, -99.0_wp, 2.0_wp, -99.0_wp/)
-!
-!--   grass  arabl crops conif decid  water  urba  othr  desr  ice   sav  trf   wai  med   sem     
+         (/ 0.54_wp, 0.54_wp,  0.54_wp, 0.56_wp, 0.56_wp,  0.50_wp,  0.56_wp, 0.54_wp, 0.58_wp, 0.50_wp, &
+              0.54_wp, 0.56_wp, 0.50_wp, 0.54_wp, 0.54_wp /)
+    REAL(wp), PARAMETER ::A_lu(nlu_dep) = &
+         (/ 3.0_wp,  3.0_wp,   2.0_wp,  2.0_wp,  7.0_wp, -99.0_wp, 10.0_wp, 3.0_wp, -99.0_wp, -99.0_wp,  &
+              3.0_wp, 7.0_wp, -99.0_wp, 2.0_wp, -99.0_wp /)
+!
+!--   grass  arabl crops conif decid  water  urba  othr  desr  ice   sav  trf   wai  med   sem
 !
 !-- local
+    REAL(wp) ::  diff_part
+    REAL(wp) ::  ebrown
+    REAL(wp) ::  eimpac
+    REAL(wp) ::  einterc
     REAL(wp) ::  kinvisc
-    REAL(wp) ::  diff_part
+    REAL(wp) ::  reffic
     REAL(wp) ::  schmidt
     REAL(wp) ::  stokes
-    REAL(wp) ::  Ebrown
-    REAL(wp) ::  Eimpac
-    REAL(wp) ::  Einterc
-    REAL(wp) ::  Reffic
-!
-!-- kinetic viscosity & diffusivity
+!
+!-- Kinetic viscosity & diffusivity
     kinvisc = viscos1 / dens1    !< only needed at surface
 
@@ -5970,38 +5970,38 @@
     schmidt = kinvisc / diff_part
 !
-!-- calculate collection efficiencie E
+!-- Calculate collection efficiencie E
     Ebrown = Schmidt**( -gamma_lu(luc) )    !< Brownian diffusion
 !
-!-- determine Stokes number, interception efficiency 
-!-- and sticking efficiency R (1 = no rebound)
-    IF ( luc == ilu_ice .OR. nwet==9 .OR. luc == ilu_water_sea .OR. luc == ilu_water_inland )  THEN
+!-- Determine Stokes number, interception efficiency and sticking efficiency R (1 = no rebound)
+    IF ( luc == ilu_ice  .OR.  nwet == 9  .OR.  luc == ilu_water_sea  .OR.                         &
+         luc == ilu_water_inland )  THEN
        stokes = vs1 * ustar**2 / ( grav * kinvisc )
-       Einterc = 0.0_wp
-       Reffic = 1.0_wp
-    ELSE IF ( luc == ilu_other .OR. luc == ilu_desert )  THEN     !<tundra of desert
+       einterc = 0.0_wp
+       reffic = 1.0_wp
+    ELSE IF ( luc == ilu_other  .OR.  luc == ilu_desert )  THEN     !<tundra of desert
        stokes = vs1 * ustar**2 / ( grav * kinvisc )
-       Einterc = 0.0_wp
-       Reffic = exp( -Stokes**0.5_wp )
+       einterc = 0.0_wp
+       reffic = EXP( - stokes**0.5_wp )
     ELSE
-       stokes = vs1 * ustar / ( grav * A_lu(luc) * 1.0E-3_wp )
-       Einterc = 0.5_wp * ( partsize / (A_lu(luc) * 1.0E-3_wp ) )**2
-       Reffic = exp( -Stokes**0.5_wp )
+       stokes = vs1 * ustar / ( grav * a_lu(luc) * 1.0E-3_wp )
+       einterc = 0.5_wp * ( partsize / ( a_lu(luc) * 1.0E-3_wp ) )**2
+       reffic = EXP( - stokes**0.5_wp )
     END IF
 !
-!-- when surface is wet all particles do not rebound:
-    IF ( nwet==1 )  Reffic = 1.0_wp
-!
-!-- determine impaction efficiency:
-    Eimpac = ( stokes / ( alfa_lu(luc) + stokes ) )**2
-!
-!-- sedimentation resistance:
-    rs = 1.0_wp / ( epsilon0 * MAX( 1.0E-5_wp, ustar ) * ( Ebrown + Eimpac + Einterc ) * Reffic )
-
-!-- deposition velocity according to Seinfeld and Pandis (2006; eq 19.7):
-!--  
+!-- When surface is wet all particles do not rebound:
+    IF ( nwet == 1 )  reffic = 1.0_wp
+!
+!-- Determine impaction efficiency:
+    eimpac = ( stokes / ( alfa_lu(luc) + stokes ) )**2
+!
+!-- Sedimentation resistance:
+    rs = 1.0_wp / ( epsilon0 * MAX( 1.0E-5_wp, ustar ) * ( ebrown + eimpac + einterc ) * reffic )
+
+!-- Deposition velocity according to Seinfeld and Pandis (2006; eq 19.7):
+!--
 !--              1
 !--      vd = ------------------ + vs
 !--           Ra + Rs + Ra*Rs*vs
-!--  
+!--
 !-- where: Rs = Rb (in Seinfeld and Pandis, 2006)
 
@@ -6012,18 +6012,17 @@
 
 
- !-------------------------------------------------------------------------------------
+ !-------------------------------------------------------------------------------------------------!
  !> Compute quasi-laminar boundary layer resistance as a function of landuse and tracer
- !> Original EMEP formulation by (Simpson et al, 2003) is used 
- !-------------------------------------------------------------------------------------
- SUBROUTINE get_rb_cell( is_water, z0h, ustar, diffusivity, rb )    
-
-!
-!-- in/out 
-
+ !> Original EMEP formulation by (Simpson et al, 2003) is used.
+ !-------------------------------------------------------------------------------------------------!
+ SUBROUTINE get_rb_cell( is_water, z0h, ustar, diffusivity, rb )
+
+!
+!-- in/out
     LOGICAL , INTENT(IN) ::  is_water
 
+    REAL(wp), INTENT(IN) ::  diffusivity          !< coefficient of diffusivity
+    REAL(wp), INTENT(IN) ::  ustar                !< friction velocity
     REAL(wp), INTENT(IN) ::  z0h                  !< roughness length for heat
-    REAL(wp), INTENT(IN) ::  ustar                !< friction velocity
-    REAL(wp), INTENT(IN) ::  diffusivity          !< coefficient of diffusivity
 
     REAL(wp), INTENT(OUT) ::  rb                  !< boundary layer resistance
@@ -6031,15 +6030,15 @@
 !-- const
 
+    REAL(wp), PARAMETER ::  kappa_stab = 0.35     !< von Karman constant
     REAL(wp), PARAMETER ::  thk = 0.19e-4         !< thermal diffusivity of dry air 20 C
-    REAL(wp), PARAMETER ::  kappa_stab = 0.35     !< von Karman constant
 !
 !-- Next line is to avoid compiler warning about unused variable
     IF ( is_water  .OR.  ( z0h + kappa_stab ) > 0.0_wp )  CONTINUE
 !
-!-- Use Simpson et al. (2003) 
+!-- Use Simpson et al. (2003)
 !-- @TODO: Check rb over water calculation, until then leave commented lines
 !--  IF ( is_water )  THEN
-!--   org: rb = 1.0_wp / (kappa_stab*MAX(0.01_wp,ustar)) * log(z0h/diffusivity*kappa_stab*MAX(0.01_wp,ustar))
-!--        rb = 1.0_wp / (kappa_stab*MAX(0.1_wp,ustar)) * log(z0h/diffusivity*kappa_stab*MAX(0.1_wp,ustar))
+!--   org: rb = 1.0_wp / ( kappa_stab * MAX( 0.01_wp, ustar ) ) * LOG( z0h / diffusivity * kappa_stab * MAX( 0.01_wp, ustar ) )
+!--        rb = 1.0_wp / ( kappa_stab * MAX( 0.1_wp, ustar ) ) *  LOG( z0h / diffusivity * kappa_stab * MAX( 0.1_wp, ustar ) )
 !--  ELSE
     rb = 5.0_wp / MAX( 0.01_wp, ustar ) * ( thk / diffusivity )**0.67_wp
@@ -6049,108 +6048,102 @@
 
 
- !-----------------------------------------------------------------
- !>  Compute water vapor partial pressure (e_w)
- !>  given specific humidity Q [(kg water)/(kg air)].
- !>
- !>  Use that gas law for volume V with temperature T
- !>  holds for the total mixture as well as the water part:
- !>
- !>    R T / V = p_air / n_air = p_water / n_water
- !>
- !>  thus:
- !>
- !>    p_water = p_air n_water / n_air
- !>
- !>  Use:
- !>    n_air =   m_air   /        xm_air
- !>            [kg air]  /  [(kg air)/(mole air)]
- !>  and:
- !>    n_water =  m_air * Q  /     xm_water
- !>              [kg water]  /  [(kg water)/(mole water)]
- !>  thus:
- !>    p_water = p_air Q / (xm_water/xm_air)
- !------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!>  Compute water vapor partial pressure (e_w) given specific humidity Q [(kg water)/(kg air)].
+!>
+!>  Use that gas law for volume V with temperature T holds for the total mixture as well as the
+!>  water part:
+!>
+!>    R T / V = p_air / n_air = p_water / n_water
+!>
+!>  thus:
+!>
+!>    p_water = p_air n_water / n_air
+!>
+!>  Use:
+!>    n_air =   m_air   /        xm_air
+!>            [kg air]  /  [(kg air)/(mole air)]
+!>  and:
+!>    n_water =  m_air * Q  /     xm_water
+!>              [kg water]  /  [(kg water)/(mole water)]
+!>  thus:
+!>    p_water = p_air Q / (xm_water/xm_air)
+!--------------------------------------------------------------------------------------------------!
 
  ELEMENTAL FUNCTION watervaporpartialpressure( q, p ) RESULT( p_w )
 
 !
-!-- in/out 
-
+!-- in/out
+    REAL(wp), INTENT(IN) ::  p                      !< air pressure [Pa]
     REAL(wp), INTENT(IN) ::  q                      !< specific humidity [(kg water)/(kg air)]
-    REAL(wp), INTENT(IN) ::  p                      !< air pressure [Pa]
 
     REAL(wp) ::  p_w                                !< water vapor partial pressure [Pa]
 !
-!-- const 
-
+!-- Const
     REAL(wp), PARAMETER  ::  eps = xm_h2o / xm_air  !< mole mass ratio ~ 0.622
 !
-!-- partial pressure of water vapor:
+!-- Partial pressure of water vapor:
     p_w = p * q / eps
 
- END function watervaporpartialpressure
-
-
- !------------------------------------------------------------------    
- !>  Saturation vapor pressure.
- !>  From (Stull 1988, eq. 7.5.2d):
- !>
- !>      e_sat = p0 exp( 17.67 * (T-273.16) / (T-29.66) )     [Pa]
- !>
- !>  where:
- !>      p0 = 611.2 [Pa]   : reference pressure
- !>
- !>  Arguments:
- !>      T  [K]  : air temperature
- !>  Result:
- !>      e_sat_w  [Pa]  : saturation vapor pressure
- !>
- !>  References:
- !>      Roland B. Stull, 1988
- !>      An introduction to boundary layer meteorology.
- !-----------------------------------------------------------------
-
+ END FUNCTION watervaporpartialpressure
+
+
+!--------------------------------------------------------------------------------------------------!
+!>  Saturation vapor pressure.
+!>  From (Stull 1988, eq. 7.5.2d):
+!>
+!>      e_sat = p0 exp( 17.67 * (T-273.16) / (T-29.66) )     [Pa]
+!>
+!>  where:
+!>      p0 = 611.2 [Pa]   : reference pressure
+!>
+!>  Arguments:
+!>      T  [K]  : air temperature
+!>  Result:
+!>      e_sat_w  [Pa]  : saturation vapor pressure
+!>
+!>  References:
+!>      Roland B. Stull, 1988
+!>      An introduction to boundary layer meteorology.
+!--------------------------------------------------------------------------------------------------!
  ELEMENTAL FUNCTION saturationvaporpressure( t ) RESULT( e_sat_w )
 
 !
 !-- in/out
-
     REAL(wp), INTENT(IN) ::  t            !< temperature [K]
 
     REAL(wp) ::  e_sat_w                  !< saturation vapor pressure  [Pa]
 !
-!-- const 
+!-- Const
     REAL(wp), PARAMETER ::  p0 = 611.2   !< base pressure [Pa]
 !
-!-- saturation vapor pressure:
-    e_sat_w = p0 * exp( 17.67_wp * ( t - 273.16_wp ) / ( t - 29.66_wp ) )    !< [Pa]
+!-- Saturation vapor pressure:
+    e_sat_w = p0 * EXP( 17.67_wp * ( t - 273.16_wp ) / ( t - 29.66_wp ) )    !< [Pa]
 
  END FUNCTION saturationvaporpressure
 
 
- !------------------------------------------------------------------------
- !>  Relative humidity RH [%] is by definition:
- !>
- !>           e_w             water vapor partial pressure
- !>    Rh = -------- * 100
- !>         e_sat_w           saturation vapor pressure
- !------------------------------------------------------------------------
+!--------------------------------------------------------------------------------------------------!
+!>  Relative humidity RH [%] is by definition:
+!>
+!>           e_w             water vapor partial pressure
+!>    Rh = -------- * 100
+!>         e_sat_w           saturation vapor pressure
+!--------------------------------------------------------------------------------------------------!
 
  ELEMENTAL FUNCTION relativehumidity_from_specifichumidity( q, t, p ) RESULT( rh )
 
 !
-!-- in/out 
-
+!-- in/out
+    REAL(wp), INTENT(IN) ::  p    !< air pressure [Pa]
     REAL(wp), INTENT(IN) ::  q    !< specific humidity [(kg water)/(kg air)]
     REAL(wp), INTENT(IN) ::  t    !< temperature [K]
-    REAL(wp), INTENT(IN) ::  p    !< air pressure [Pa]
 
     REAL(wp) ::  rh               !< relative humidity [%]
 !
-!-- relative humidity:
+!-- Relative humidity:
     rh = watervaporpartialpressure( q, p ) / saturationvaporpressure( t ) * 100.0_wp
 
  END FUNCTION relativehumidity_from_specifichumidity
 
-     
+
  END MODULE chemistry_model_mod
